Skip to main content
`Ctrl`+`K`

# PCGAMGMISkSetAggressive

Number (k) distance in MIS coarsening (> 2 is aggressive)

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGMISkSetAggressive(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- n - 1 or more (default = 2)

## Options Database Key

- -pc_gamg_aggressive_mis_k n - the distance to use

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGSetAggressiveLevels()`, `PCGAMGSetAggressiveSquareGraph()`, `PCGAMGMISkSetMinDegreeOrdering()`, `PCGAMGSetLowMemoryFilter()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Implementations

PCGAMGMISkSetAggressive_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages